Subject: bug#23662: 25.0.94; isearch-toggle-character-fold keybinding missing

From: Dmitry Alexandrov <[email-masked]>
Date: Wed, 01 Jun 2016 05:08:36 +0300

[email-masked] writes:

> According to the "Lax Search" Info page, isearch-toggle-character-fold
> should be bound to `M-s '', but that does not appear to be the case.

As for GNU Emacs 25.1.50.1, the function is called
‘isearch-toggle-char-fold’ (both in (info "(emacs) Lax Serach") and in
fact) and it is bound to ‘M-s '’ within isearch.  ‘Within’ means that
you have to invoke iserach first with ‘C-s’ or ‘C-M-s’ or somehow else.

> The actual bindings I see, with `M-s C-h', are these:
>
>     Global Bindings Starting With M-s:

However ‘M-s <f1>’ within incremetal search indeed returns help on
*global* bindings starting with M-s, not the bindings of iserach-mode,
so ‘M-s '’, ‘M-s e’ and others are missing in a help buffer.  I would
file this as a bug unless it is not filed already.

For what it’s worth, ‘which-key-mode’ acts correctly in this case.